> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/scanbare-code-erkennung.md).

# Scanbare Code Erkennung

Manage scannable code recognition in VARIO Cloud, including GS1, HIBC, and common codes, article identification, storage bins, and code details.

Scannable code recognition (e.g. according to GS1, HIBC and other standards).

## GET /wms/scannable-code-recognition/process-input/{inputData}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Scanbare-Code-Erkennung","description":"Scannable code recognition (e.g. according to GS1, HIBC and other standards)."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/scannable-code-recognition/process-input/{inputData}":{"get":{"tags":["Scanbare-Code-Erkennung"],"operationId":"processInput_4","parameters":[{"name":"inputData","in":"path","description":"User input or scan.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ScannableCodeRecognitionResult"}}}}}}}},"components":{"schemas":{"erp-wms-ScannableCodeRecognitionResult":{"properties":{"articleId":{"type":"integer","format":"int64","description":"Recognized article identifier (if one was recognized).","readOnly":true},"articleNumber":{"type":"string","description":"Recognized article number (if one was recognized).","readOnly":true},"storageBinId":{"type":"integer","format":"int64","description":"Recognized storage bin identifier (if one was recognized).","readOnly":true},"storageBinDisplayName":{"type":"string","description":"Recognized storage bin display name (if one was recognized).","readOnly":true},"codeType":{"type":"string","description":"Kinds of scannable codes.","enum":["COMMON","GS1","HIBC"],"readOnly":true},"scannableCodeParts":{"type":"array","description":"Code parts.","items":{"$ref":"#/components/schemas/erp-wms-ScannableCodePart"},"readOnly":true}}},"erp-wms-ScannableCodePart":{"description":"Code parts.","properties":{"ai":{"type":"string","description":"AI (Application Identifier)","readOnly":true},"value":{"type":"string","description":"Value.","readOnly":true},"label":{"type":"string","description":"Label.","readOnly":true},"description":{"type":"string","description":"Description.","readOnly":true}},"readOnly":true}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/scanbare-code-erkennung.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
